# Get All Data Points

Get all data points, potentially filtered by directory, business, rating...

Endpoint: GET /data-points
Version: 20260331
Security: X-API-KEY, Authorization

## Query parameters:

  - `max` (integer)
    Used for pagination. Maximum number of results per page

  - `page` (integer)
    The page number for pagination

  - `labels` (array)
    Filter by location labels

  - `countries` (array)
    The countries you want data points for. ISO 3166-1 alpha-2 codes

  - `businessIds` (array)
    Ids of businesses you want data points for

  - `locationIds` (array)
    The ids of the locations you want data points for

  - `zip` (string)
    Only return inbox items for locations where zip starts with given parameter

  - `dataPointTypes` (array)
    Types of datapoints you want inbox items for
    Example: "[PHOTO, REVIEW, CHECKIN]"

  - `directoryTypes` (array)
    Directories you want inbox items for

  - `ratings` (array)
    Only return inbox items with a rating included in ratings

  - `read` (boolean)
    Only return data points that are read (true) or unread (false). If omitted, returns all.

  - `replied` (boolean)
    Only show elements you have/you have not replied to

  - `text` (boolean)
    Only return data points with text or without

  - `query` (string)
    Filter by name

  - `minActionDate` (string)
    The min date of the DataPoint as unix timestamp in milliseconds
    Example: 1514764800000

  - `maxActionDate` (string)
    The max date of the DataPoint as unix timestamp in milliseconds
    Example: 1514764800000

  - `minThreadActionDate` (string)
    The min date of the last interaction with a DataPoint as unix timestamp in milliseconds
    Example: 1514764800000

  - `maxThreadActionDate` (string)
    The max date of the last interaction with a DataPoint as unix timestamp in milliseconds
    Example: 1514764800000

  - `fieldMask` (string)
    The fields you want to include in the response

## Response 200 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR"

  - `message` (string)
    (optional) Holds further information about the response

  - `warnings` (array)
    (optional) Holds further warnings

  - `response` (object, required)
    The actual response object of the response

  - `response.inbox` (object)
    Inbox Response Model

  - `response.inbox.page` (integer)
    The page number for pagination

  - `response.inbox.pageSize` (integer)
    The number of datapoints to show on each page

  - `response.inbox.count` (integer)
    The total number of datapoints

  - `response.inbox.dataPoints` (array)
    A list of datapoints (reviews, photos, check-ins ...)

  - `response.inbox.dataPoints.directoryType` (string)
    Enum: "FOURSQUARE", "UBER", "GOOGLE", "WAZE", "GOOGLE_MAPS", "YELP_API", "MEINESTADT", "NOKIA_HERE", "FACEBOOK", "TOMTOM", "STADTBRANCHENBUCH", "CYLEX", "UNTERNEHMENSAUSKUNFT", "ACOMPIO", "BUSINESSBRANCHENBUCH", "SCOOT", "CENTRAL_INDEX", "CITIPAGES", "THE_DAILY_RECORD", "THE_EVENING_STANDARD", "THE_SCOTSMAN", "LIVERPOOL_ECHO", "TOUCH_LOCAL", "THE_MIRROR", "ANNUAIRE", "INFOBEL", "US_INFO_COM", "BING", "WO_GIBTS_WAS", "KOOMIO", "OEFFNUNGSZEITENBUCH", "APPLE_MAPS", "WHERE_TO", "TUPALO", "BRANCHENBUCH_DEUTSCHLAND", "MARKTPLATZ_MITTELSTAND", "BUSQUEDA_LOCAL", "RICERCARE_IMPRESE", "PAGES24", "NAVMII", "AUDI", "BMW", "MERCEDES", "VW", "TOYOTA", "FORD", "FIAT", "GM", "INSTAGRAM", "CITY_SQUARES", "SHOWMELOCAL", "CHAMBER_OF_COMMERCE", "JUDYS_BOOK", "MY_LOCAL_SERVICES", "HOTFROG", "INFO_IS_INFO", "MANTA", "US_CITY", "GO_YELLOW", "N49", "PRATIQUE", "EZLOCAL", "ELOCAL", "YELLOW_PAGES", "SUPER_PAGES", "DEX_KNOWS", "KAUFDA_MANUAL", "I_GLOBAL", "BRANCHEN_INFO_MANUAL", "GUTE_BANKEN_MANUAL", "D_11880_COM_MANUAL", "BANKOEFFNUNGSZEITEN_DE_MANUAL", "BANK_OEFFNUNGSZEITEN_DE_MANUAL", "CYLEX_MANUAL", "FINDE_OFFEN_MANUAL", "MEIN_PROSPEKT_MANUAL", "FIND_OPEN", "GO_LOCAL", "MEINUNGSMEISTER", "YAHOO_MANUAL", "TRIP_ADVISOR", "ZIP_CH", "INFOGROUP", "TRUSTPILOT", "AUSKUNFT", "NEXT_DOOR", "GOOGLE_ASSISTANT", "SIRI", "HUAWEI", "DOCTOR_COM", "DENTAL_PLANS", "DOC_SPOT", "HEALTHGRADES", "SHARE_CARE", "VITALS", "WEB_MD", "WELLNESS", "BING_HEALTH", "NPPES", "RATE_MDS", "CITYSEARCH", "INSIDER_PAGES", "TWITTER", "ALEXA", "MAP_QUEST", "WEBSITE_WIDGETS", "ECO_MOVEMENT", "GOOGLE_EV", "APPLE_EV", "TESLA_EV", "EUROWAG_EV", "OPIS_EV", "TOMTOM_EV", "HERE_EV", "YELLOW_PAGES_CANADA", "BBB", "UBERALL_SOCIAL_ADS", "APPLE_APPS", "CONSUMER_AFFAIRS", "CREDIT_KARMA", "DELIVERY", "GLASSDOOR", "PLAY_GOOGLE", "GRUBHUB", "INDEED", "LENDING_TREE", "MENUISM", "OPEN_TABLE", "OPEN_TABLE_USA", "WALLET_HUB", "ZILLOW", "ZOMATO", "WHATS_APP", "FOUR_SCREEN", "AND_CHARGE", "LINKED_IN"

  - `response.inbox.dataPoints.parentId` (integer)

  - `response.inbox.dataPoints.supportsReply` (boolean)

  - `response.inbox.dataPoints.supportsLike` (boolean)

  - `response.inbox.dataPoints.supportsUnlike` (boolean)

  - `response.inbox.dataPoints.supportedFlagTypes` (array)

  - `response.inbox.dataPoints.hasRepliesInApprovalNeeded` (boolean)

  - `response.inbox.dataPoints.approvalNeeded` (boolean)

  - `response.inbox.dataPoints.replyMaxLength` (integer)

  - `response.inbox.dataPoints.recommended` (boolean)

  - `response.inbox.dataPoints.replyByOwner` (boolean)

  - `response.inbox.dataPoints.read` (boolean)

  - `response.inbox.dataPoints.reviewPolicyUrl` (string)

  - `response.inbox.status` (string)
    Status indicating whether 'Inbox' is active for the current location. One of ACTIVE INACTIVE

  - `response.inbox.ignoredLocations` (array)
    A list of locations where datapoints are not tracked

## Response 400 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 401 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 403 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 404 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response


